Subject: Re: bug#4675: 23.1.50; dired broken

From: henry atting <[email-masked]>
Date: Thu, 08 Oct 2009 22:19:31 +0200

On Do, Okt 08 2009, Glenn Morris wrote:

> henry atting wrote:
>
>> `M-x dired' results in this error message:
>>
>> Autoloading failed to define function epa-dired-mode-hook
>>
>> Emacs started with emacs -Q --> dired works fine.
>
> If `emacs -Q' works fine, then you should try and do more
> investigation before reporting a bug.
>
> Again, a quick web search suggests you have a file "epa-setup.el"
> somewere in your configuration. This was removed from Emacs
> 2008-02-11.

I was searching but honestly did not find it.
I am using emacs-snapshot for long time now, so according to the given
date this error should have happend much earlier.

>> Debugger entered--Lisp error: (error "Autoloading failed to define 
>> function epa-dired-mode-hook")
>>   epa-dired-mode-hook()
>>   run-hooks(dired-mode-hook)
> [...]
>> Load-path shadows:
>
> You have a large number of load-path shadows, which indicates a
> complex configuration. Please try to make sure problems are not due
> this before reporting them as Emacs bugs.

Usually I do this – this time, too – but epa-setup was `hidden' in
~/.gnus.el; sorry for that.

henry 

-- 
http://literaturlatenight.de